Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.metadata
Class URLValidatorDescription

    java.lang.Object
      com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription
          com.opensymphony.xwork2.validator.metadata.URLValidatorDescription

All Implemented Interfaces:
  ValidatorDescription

    public class URLValidatorDescription

extends AbstractFieldValidatorDescription

`URLValidatorDescription`

Version:
  $Id: URLValidatorDescription.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Rainer Hermanns

Field Summary

Fields inherited from class com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription
`fieldName, key, log, message, shortCircuit, simpleValidator`

Constructor Summary
`URLValidatorDescription()`
`URLValidatorDescription(java.lang.String fieldName)` Creates an AbstractFieldValidatorDescription with the specified aliasNames.

Method Summary
`java.lang.String` | `asFieldXml()` Returns the field validator XML definition.
`java.lang.String` | `asSimpleXml()` Returns the validator XML definition.

Methods inherited from class com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription
`asXml, getFieldName, isSimpleValidator, setFieldName, setKey, setMessage, setShortCircuit, setSimpleValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLValidatorDescription

    public URLValidatorDescription()

### URLValidatorDescription

    public URLValidatorDescription(java.lang.String fieldName)

  Creates an AbstractFieldValidatorDescription with the specified aliasNames.

  Parameters:
    `fieldName` -

Method Detail

### asFieldXml

    public java.lang.String asFieldXml()

  Returns the field validator XML definition.

  Specified by:
    `asFieldXml` in class `AbstractFieldValidatorDescription`
  Returns:
    the field validator XML definition.

### asSimpleXml

    public java.lang.String asSimpleXml()

  Returns the validator XML definition.

  Specified by:
    `asSimpleXml` in class `AbstractFieldValidatorDescription`
  Returns:
    the validator XML definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.